CRAN Package Check Results for Package UBL

Last updated on 2018-05-23 20:48:59 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.0.6 8.60 72.00 80.60 OK
r-devel-linux-x86_64-debian-gcc 0.0.6 6.85 52.76 59.61 ERROR
r-devel-linux-x86_64-fedora-clang 0.0.6 98.49 OK
r-devel-linux-x86_64-fedora-gcc 0.0.6 95.84 OK
r-devel-windows-ix86+x86_64 0.0.6 17.00 104.00 121.00 OK
r-patched-linux-x86_64 0.0.6 8.79 64.47 73.26 OK
r-patched-solaris-x86 0.0.6 130.30 OK
r-release-linux-x86_64 0.0.6 7.22 64.28 71.50 OK
r-release-windows-ix86+x86_64 0.0.6 20.00 144.00 164.00 OK
r-release-osx-x86_64 0.0.6 OK
r-oldrel-windows-ix86+x86_64 0.0.6 23.00 143.00 166.00 OK
r-oldrel-osx-x86_64 0.0.6 OK

Check Details

Version: 0.0.6
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘ggplot2’
Flavor: r-devel-linux-x86_64-debian-gcc

Version: 0.0.6
Check: examples
Result: ERROR
    Running examples in ‘UBL-Ex.R’ failed
    The error most likely occurred in:
    
    > base::assign(".ptime", proc.time(), pos = "CheckExEnv")
    > ### Name: ImbC
    > ### Title: Synthetic Imbalanced Data Set for a Multi-class Task
    > ### Aliases: ImbC
    > ### Keywords: datasets
    >
    > ### ** Examples
    >
    > require(ggplot2)
    Loading required package: ggplot2
    Warning in library(package, lib.loc = lib.loc, character.only = TRUE, logical.return = TRUE, :
     there is no package called ‘ggplot2’
    > data(ImbC)
    > summary(ImbC)
     X1 X2 Class
     Min. :-13.5843 cat :300 normal:859
     1st Qu.: -2.6930 dog :400 rare1 : 10
     Median : -0.1592 fish:300 rare2 :131
     Mean : -0.1064
     3rd Qu.: 2.4633
     Max. : 12.7836
    > ggplot(data=ImbC, aes(x=X2, y=X1, color=Class))+geom_jitter()
    Error in ggplot(data = ImbC, aes(x = X2, y = X1, color = Class)) :
     could not find function "ggplot"
    Execution halted
Flavor: r-devel-linux-x86_64-debian-gcc